@font-face{
	font-family: "snacker";
	src: url('../fonts/snacker_comic/SnackerComic_PerosnalUseOnly.ttf') format('truetype');
}
@font-face{
	font-family:"altamonte";
	src:url('../fonts/altamonte/ALTAN___.TTF') format('truetype');
}

body{
	background-color:#0b5260 ;
    height: 100%;
	width: 100%;
}

.game_container{
	height: 100%;
	width: 100%;
}


.start_game{
	background-image: url("../img/start.png");
	background-repeat: no-repeat;
	width: 229px; /*or your image's width*/
	height: 249px; /*or your image's height*/
	margin: 0;
	padding: 0;	
	border:none;
}

.start_game:hover{
	background-image: url("../img/start.hover.png");
}
.start_game:active {
        outline: 0;
    -webkit-box-shadow: none;
    box-shadow: none;
    background-position-y:10px;
}


.close_game
{
	background-image: url("../img/close.png");
	background-repeat: no-repeat;
	width: 55px; /*or your image's width*/
	height: 64px; /*or your image's height*/
	margin: 0;
	padding: 0;	
	border:none;
}

.close_game:hover
{
	background-image: url("../img/close.hover.png");
}

.close_game:active
{
	        outline: 0;
    -webkit-box-shadow: none;
    box-shadow: none;
    background-position-y:10px;
}

h1.header{
	font-family: 'altamonte', Fallback, sans-serif;
	color:white;
	font-size:50pt;
}

h1.footer{
	font-family: 'snacker', Fallback, sans-serif;
	color:white;
}

.icon{
	font-family: sans-serif;
	background-color: #ffcc00;
	color:#0b5260;
	padding:4px;
	border:none;
	border-radius: 25px;
}

#gameScene{
	background-color: #fff;
	height: 900px;
	width: 100%;
}
#game-scene {
    background-color: #fff;
}
.menu-icon {
	margin: 8px 0px 8px 0px;
}

/*new classes*/

#workspace {
    min-width: 1024px;
    min-height:768px;
    width:100%;
    height:100%;
    background-color:#0b5260;
}

.game-navbar {
    background-color:#03ab94;
    border-color:#03ab94;
    margin-top: 5px;
    margin-bottom: 5px;
    height: 80px;
}
.navbuttons,.navbuttons:hover {
    background-color: transparent;
    height:80px;
    width:80px;
    border-color:transparent;
}


.navbuttons.btn-sm,.navbuttons.btn-sm:hover {
    background-color: transparent;
    height:60px;
    width:60px;
    border-color:transparent;
}
.btn-camera:active,.btn-camera-up:active,.btn-play:active,.btn-setting:active, .btn-play-sm:active, .btn-stop { 
    outline: 0;
    -webkit-box-shadow: none;
    box-shadow: none;
}

/*btn camera*/
.btn-camera {
    background:url("../img/buttons/camera.png") no-repeat center;
}
.btn-camera:hover{
    background:url("../img/buttons/camera_hover.png") no-repeat center;
}
.btn-camera:active {
    background:url("../img/buttons/camera.png") no-repeat;
    background-position: center 5px;
}

/*btn camera*/
.btn-camera-up {
    background:url("../img/buttons/camera_up.png") no-repeat center;
}
.btn-camera-up:hover{
    background:url("../img/buttons/camera_up_hover.png") no-repeat center;
}
.btn-camera-up:active {
    background:url("../img/buttons/camera_up.png") no-repeat;
    background-position: center 5px;
}


/*btn play*/
.btn-play{
    background:url("../img/buttons/play_program.png") no-repeat center;
}
.btn-play:hover {
    background:url("../img/buttons/play_program_hover.png") no-repeat center;
}
.btn-play:active {
    background:url("../img/buttons/play_program.png") no-repeat;
    background-position: center 5px;
}

/*btn stop*/
.btn-stop{
    background:url("../img/buttons/stop.png") no-repeat center;
}
.btn-stop:hover {
    background:url("../img/buttons/stop_hover.png") no-repeat center;
}
.btn-stop:active {
    background:url("../img/buttons/stop.png") no-repeat;
    background-position: center 5px;
}




/*btn-play local*/
.btn-play-sm{
    background:url("../img/buttons/local_play.png") no-repeat center;
}
.btn-play-sm:hover {
    background:url("../img/buttons/local_play_hover.png") no-repeat center;
}
.btn-play-sm:active {
    background:url("../img/buttons/local_play.png") no-repeat;
    background-position: center 5px;
}



/*btn setting*/
.btn-setting{
    background:url("../img/buttons/settings.png") no-repeat center;
}

.btn-setting:hover {
    background:url("../img/buttons/settings_hover.png") no-repeat center;
}

.btn-setting:active {
    background:url("../img/buttons/settings.png") no-repeat;
    background-position: center 5px;
}

.blockly-area {
    height: 100%;
}

@media screen and (min-height:768px) {
    #game-scene {
        height:768px;
    }
}

@media screen and (max-height:1080px) {
    #game-scene {
        height:800px;
    }
}

/*blockly*/

.blocklyToolboxDiv {
    width: 120px;
}
.blocklyToolboxDiv div[role=treeitem] .blocklyTreeRow {
    width:100%;
    height:90px;
}

.blocklyToolboxDiv div[role=treeitem] .blocklyTreeRow {
    width:100%;
    height:90px;
    padding:5px;
}
.blocklyTreeRow .blocklyTreeLabel {
    color: white;
    font-family:Calibri;
    font-size:large;
    text-decoration:underline;
}

.blocklyTreeRoot .blocklyTreeSelected {
    background-color:#0b5260 !important;
}

/*No mostrar el icono del menu*/
.blocklyTreeIcon {
    display:none !important;
}

/*alinear cetrado todos los elementos de un item del menu*/
.blocklyToolboxDiv div[role=treeitem] {
    text-align:center;
}

/*Color de fondo para cada item del menu*/
.blocklyTreeRoot #\:1, .blocklyTreeRoot #\:1 .blocklyTreeRow {
    background-color: #00c1f0;
}
.blocklyTreeRoot #\:2, .blocklyTreeRoot #\:2 .blocklyTreeRow {
    background-color: #2dcd00;
}
.blocklyTreeRoot #\:3, .blocklyTreeRoot #\:3 .blocklyTreeRow {
    background-color: #fd5e2f;
}
.blocklyTreeRoot #\:4, .blocklyTreeRoot #\:4 .blocklyTreeRow {
    background-color: #eec720;
}
.blocklyTreeRoot #\:5, .blocklyTreeRoot #\:5 .blocklyTreeRow {
    background-color: #08b7a8;
}
.blocklyTreeRoot #\:6, .blocklyTreeRoot #\:6 .blocklyTreeRow {
    background-color: #412fa0;
}

/************************************************/

/*Color hover para cada item del menu*/
.blocklyTreeRoot #\:1:hover, .blocklyTreeRoot #\:1 .blocklyTreeRow:hover {
    background-color: #00acd6;
}
.blocklyTreeRoot #\:2:hover, .blocklyTreeRoot #\:2 .blocklyTreeRow:hover {
    background-color: #28b400;
}
.blocklyTreeRoot #\:3:hover, .blocklyTreeRoot #\:3 .blocklyTreeRow:hover {
    background-color: #fd4a15;
}
.blocklyTreeRoot #\:4:hover, .blocklyTreeRoot #\:4 .blocklyTreeRow:hover {
    background-color: #e3bb11;
}
.blocklyTreeRoot #\:5:hover, .blocklyTreeRoot #\:5 .blocklyTreeRow:hover {
    background-color: #079f92;
}
.blocklyTreeRoot #\:6:hover, .blocklyTreeRoot #\:6 .blocklyTreeRow:hover {
    background-color: #39298d;
}

/*************************************************/

/*Color active para cada item del menu*/
.blocklyTreeRoot #\:1:active, .blocklyTreeRoot #\:1 .blocklyTreeRow:active {
    background-color: #00acd6;
}
.blocklyTreeRoot #\:2:active, .blocklyTreeRoot #\:2 .blocklyTreeRow:active {
    background-color: #28b400;
}
.blocklyTreeRoot #\:3:active, .blocklyTreeRoot #\:3 .blocklyTreeRow:active {
    background-color: #fd4a15;
}
.blocklyTreeRoot #\:4:active, .blocklyTreeRoot #\:4 .blocklyTreeRow:active {
    background-color: #e3bb11;
}
.blocklyTreeRoot #\:5:active, .blocklyTreeRoot #\:5 .blocklyTreeRow:active {
    background-color: #079f92;
}
.blocklyTreeRoot #\:6:active, .blocklyTreeRoot #\:6 .blocklyTreeRow:active {
    background-color: #39298d;
}
